MIX_GetTrackProperties(3)

NAME
MIX_GetTrackProperties - Get the properties associated with a track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

SDL_PropertiesID MIX_GetTrackProperties(MIX_Track *track);

DESCRIPTION
Currently SDL_mixer assigns no properties of its own to a track, but this can be a convenient place to store app-specific data.

A SDL_PropertiesID is created the first time this function is called for a given track.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.